=== debian/changelog ===
git-annex (7.20190129-3) unstable; urgency=medium

  * Resolve a race in test cleanup by making second attempt more forceful
    (Closes: #924800).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 31 Mar 2019 12:34:02 -0700

git-annex (7.20190129-2) unstable; urgency=medium

  * Cherry pick upstream commit a64fca92f6dfea086b7b9e65a2b83fb50fee1ecf.
    The most recent upload failed to build on mips; this should prevent
    that failure.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Feb 2019 15:54:29 -0700

git-annex (7.20190129-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 29 Jan 2019 14:26:52 -0700
