## git-annex 7.20190912

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,10 @@
 PREFIX?=/usr
 SHAREDIR?=share
 
+# On Debian systems, zsh does not look here, and you will have to override
+# this to /usr/share/zsh/vendor-completions
+ZSH_COMPLETIONS_PATH?=$(PREFIX)/$(SHAREDIR)/zsh/site-functions
+
 # Am I typing :make in vim? Do a fast build.
 ifdef VIM
 all=fast
@@ -18,8 +22,18 @@
 
 build: $(all)
 
+# install system-wide
+# Set PREFIX and DESTDIR to configure where it is installed
+install: install-bins install-docs install-completions install-desktop
+
+# installs into your home directory
+install-home:
+	$(MAKE) install-bins PREFIX=$(HOME)/.local
+	$(MAKE) install-mans PREFIX=$(HOME)/.local
+	$(MAKE) install-desktop PREFIX=$(HOME)/.local USERDIR=1
+
 tmp/configure-stamp: Build/TestConfig.hs Build/Configure.hs
-	if [ "$(BUILDER)" = ./Setup ]; then ghc --make Setup; fi
+	if [ "$(BUILDER)" = ./Setup ]; then $(GHC) --make Setup; fi
 	if [ "$(BUILDER)" != stack ]; then \
 		$(BUILDER) configure $(BUILDERCOMMONOPTIONS) --ghc-options="$(shell Build/collect-ghc-options.sh)"; \
 	else \
@@ -61,18 +75,18 @@
 	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-annex-shell
 	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-remote-tor-annex
 
-install-misc: build Build/InstallDesktopFile
+install-desktop: build Build/InstallDesktopFile
 	./Build/InstallDesktopFile $(PREFIX)/bin/git-annex || true
+
+install-completions: build
 	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/bash-completion/completions
 	install -m 0644 bash-completion.bash $(DESTDIR)$(PREFIX)/$(SHAREDIR)/bash-completion/completions/git-annex
-	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/zsh/vendor-completions
-	@./git-annex --zsh-completion-script git-annex 2>/dev/null > $(DESTDIR)$(PREFIX)/$(SHAREDIR)/zsh/vendor-completions/_git-annex || \
-		echo "** zsh completions not installed; built with too old version of optparse-applicative"
+	install -d $(DESTDIR)$(ZSH_COMPLETIONS_PATH)
+	./git-annex --zsh-completion-script git-annex 2>/dev/null \
+		> $(DESTDIR)$(ZSH_COMPLETIONS_PATH)/_git-annex
 	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/fish/completions
-	@./git-annex --fish-completion-script git-annex 2>/dev/null > $(DESTDIR)$(PREFIX)/$(SHAREDIR)/fish/completions/git-annex.fish || \
-		echo "** fish completions not installed; built with too old version of optparse-applicative"
-
-install: install-bins install-docs install-misc
+	./git-annex --fish-completion-script git-annex 2>/dev/null \
+		> $(DESTDIR)$(PREFIX)/$(SHAREDIR)/fish/completions/git-annex.fish
 
 test: git-annex git-annex-shell
 	./git-annex test
@@ -82,7 +96,7 @@
 
 # hothasktags chokes on some template haskell etc, so ignore errors
 tags:
-	(for f in $$(find . | grep -v /.git/ | grep -v /tmp/ | grep -v /dist/ | grep -v /doc/ | egrep '\.hs$$'); do hothasktags -c --cpp -c -traditional -c --include=dist/build/autogen/cabal_macros.h $$f; done) 2>/dev/null | sort > tags
+	(for f in $$(find . | grep -v /.git/ | grep -v /tmp/ | grep -v /dist/ | grep -v /doc/ | egrep '\.hs$$'); do hothasktags -XLambdaCase -XPackageImports -c --cpp -c -traditional -c --include=dist/build/git-annex/autogen/cabal_macros.h $$f; done) 2>/dev/null | sort > tags
 
 mans: Build/MakeMans
 	./Build/MakeMans
@@ -120,6 +134,8 @@
 	$(GHC) --make $@ -Wall -fno-warn-tabs
 Build/Standalone: Build/Standalone.hs tmp/configure-stamp
 	$(GHC) --make $@ -Wall -fno-warn-tabs
+Build/BuildVersion: Build/BuildVersion.hs
+	$(GHC) --make $@ -Wall -fno-warn-tabs
 Build/OSXMkLibs: Build/OSXMkLibs.hs
 	$(GHC) --make $@ -Wall -fno-warn-tabs
 Build/LinuxMkLibs: Build/LinuxMkLibs.hs
@@ -163,9 +179,9 @@
 	cd tmp/git-annex.linux && find . -type l >> git-annex.MANIFEST
 	cd tmp && tar c git-annex.linux | gzip -9 --rsyncable > git-annex-standalone-$(shell dpkg --print-architecture).tar.gz
 
-# Run this target to build git-annex-standalone*.deb
+# Run this target to build git-annex-standalone.deb
 debianstandalone: dpkg-buildpackage-F
-# Run this target to build git-annex-standalone*.dsc
+# Run this target to build git-annex-standalone.dsc
 debianstandalone-dsc: dpkg-buildpackage-S
 
 prep-standalone:
@@ -188,7 +204,7 @@
 OSXAPP_DEST=tmp/build-dmg/git-annex.app
 OSXAPP_BASE=$(OSXAPP_DEST)/Contents/MacOS/bundle
 osxapp:
-	$(MAKE) git-annex Build/Standalone Build/OSXMkLibs
+	$(MAKE) git-annex Build/Standalone Build/OSXMkLibs Build/BuildVersion
 
 	# Remove all RPATHs, both because this overloads the linker on
 	# OSX Sierra, and to avoid the binary looking in someone's home
@@ -200,6 +216,9 @@
 	rm -rf "$(OSXAPP_DEST)" "$(OSXAPP_BASE)"
 	install -d tmp/build-dmg
 	cp -R standalone/osx/git-annex.app "$(OSXAPP_DEST)"
+	sed -e 's/GIT_ANNEX_VERSION/$(shell Build/BuildVersion)/' \
+		< standalone/osx/Info.plist.template \
+		> "$(OSXAPP_DEST)"/Contents/Info.plist
 
 	install -d "$(OSXAPP_BASE)"
 	cp git-annex "$(OSXAPP_BASE)"
