=== debian/changelog ===
git-annex (7.20190912-1) unstable; urgency=medium

  * New upstream release.
    - Update build-dep bounds.
  * Fix COPYRIGHT for Annex/DirHashes.hs.
    File header indicates GPL, not AGPL.
  * Try dropping patch introduced in 7.20181211-2 upload now that v7 repos
    are the default.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 28 Sep 2019 10:53:03 -0700
