=== debian/control ===
--- 
+++ 
@@ -10,15 +10,16 @@
 	libghc-data-default-dev,
 	libghc-hslogger-dev,
 	libghc-pcre-light-dev,
-	libghc-cryptonite-dev,
+	libghc-cryptonite-dev (>= 0.23),
 	libghc-memory-dev,
+	libghc-deepseq-dev,
 	libghc-attoparsec-dev,
 	libghc-sandi-dev,
 	libghc-utf8-string-dev,
-	libghc-aws-dev (>= 0.9.2-2~),
+	libghc-aws-dev (>= 0.20),
 	libghc-conduit-dev,
 	libghc-resourcet-dev,
-	libghc-quickcheck2-dev,
+	libghc-quickcheck2-dev (>= 2.10.0),
 	libghc-monad-control-dev (>= 0.3),
 	libghc-transformers-dev,
 	libghc-exceptions-dev (>= 0.6),
@@ -29,13 +30,13 @@
 	libghc-tagsoup-dev,
 	libghc-unordered-containers-dev,
 	libghc-ifelse-dev,
-	libghc-bloomfilter-dev,
+	libghc-bloomfilter-dev (>= 2.0.0),
 	libghc-edit-distance-dev,
-	libghc-hinotify-dev [linux-any],
+	libghc-hinotify-dev (>= 0.3.10) [linux-any],
 	libghc-dbus-dev (>= 0.10.7) [linux-any],
 	libghc-fdo-notify-dev (>= 0.3) [linux-any],
 	libghc-yesod-dev (>= 1.2.6.1)       [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
-	libghc-yesod-core-dev (>= 1.2.19)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
+	libghc-yesod-core-dev (>= 1.6.0)    [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
 	libghc-yesod-form-dev (>= 1.3.15)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
 	libghc-yesod-static-dev (>= 1.2.4)  [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
 	libghc-shakespeare-dev (>= 2.0.0)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
@@ -45,16 +46,16 @@
 	libghc-wai-dev                      [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
 	libghc-wai-extra-dev                [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 mips mips64el mipsel powerpc ppc64el s390x],
 	libghc-dav-dev (>= 1.0),
-	libghc-persistent-dev,
+	libghc-persistent-dev (>= 2.8.1),
 	libghc-persistent-template-dev,
-	libghc-persistent-sqlite-dev,
+	libghc-persistent-sqlite-dev (>= 2.8.1),
 	libghc-microlens-dev,
 	libghc-securemem-dev,
 	libghc-byteable-dev,
 	libghc-stm-chans-dev,
 	libghc-case-insensitive-dev,
 	libghc-http-types-dev,
-	libghc-http-conduit-dev,
+	libghc-http-conduit-dev (>= 2.3.0),
 	libghc-blaze-builder-dev,
 	libghc-crypto-api-dev,
 	libghc-network-multicast-dev,
@@ -63,16 +64,16 @@
 	libghc-async-dev,
 	libghc-monad-logger-dev,
 	libghc-free-dev,
-	libghc-feed-dev (>= 0.3.9.2),
+	libghc-feed-dev (>= 1.0.0),
 	libghc-regex-tdfa-dev,
 	libghc-tasty-dev (>= 0.7),
 	libghc-tasty-hunit-dev,
 	libghc-tasty-quickcheck-dev,
 	libghc-tasty-rerun-dev,
-	libghc-optparse-applicative-dev (>= 0.11.0),
+	libghc-optparse-applicative-dev (>= 0.14.1),
 	libghc-cabal-dev,
 	libghc-torrent-dev,
-	libghc-concurrent-output-dev,
+	libghc-concurrent-output-dev (>= 1.10),
 	libghc-disk-free-space-dev,
 	libghc-mountpoints-dev,
 	libghc-magic-dev,
@@ -81,7 +82,7 @@
 	lsof [linux-any],
 	ikiwiki,
 	libimage-magick-perl,
-	git (>= 1:1.8.1),
+	git (>= 1:2.1),
 	rsync,
 	curl,
 	openssh-client,
