## git-annex 7.20191017

=== Makefile ===
--- 
+++ 
@@ -162,10 +162,6 @@
 
 	./Build/Standalone "$(LINUXSTANDALONE_DEST)"
 	
-	install -d "$(LINUXSTANDALONE_DEST)/git-core"
-	(cd "$(shell git --exec-path)" && tar c .) | (cd "$(LINUXSTANDALONE_DEST)"/git-core && tar x)
-	install -d "$(LINUXSTANDALONE_DEST)/templates"
-	(cd "$(shell git --man-path)"/../git-core/templates && tar c .) | (cd "$(LINUXSTANDALONE_DEST)"/templates && tar x)
 	install -d "$(LINUXSTANDALONE_DEST)/magic"
 	cp /usr/share/file/magic.mgc "$(LINUXSTANDALONE_DEST)/magic"
 	cp /usr/share/i18n -a "$(LINUXSTANDALONE_DEST)"
@@ -231,9 +227,6 @@
 
 	./Build/Standalone $(OSXAPP_BASE)
 
-	(cd "$(shell git --exec-path)" && tar c .) | (cd "$(OSXAPP_BASE)" && tar x)
-	install -d "$(OSXAPP_BASE)/templates"
-	(cd "$(shell git --man-path)"/../git-core/templates && tar c .) | (cd "$(OSXAPP_BASE)"/templates && tar x)
 	install -d "$(OSXAPP_BASE)/magic"
 	if [ -e "$(OSX_MAGIC_FILE)" ]; then \
 		cp "$(OSX_MAGIC_FILE)" "$(OSXAPP_BASE)/magic/magic.mgc"; \
@@ -248,8 +241,19 @@
 	cd $(OSXAPP_DEST) && find . -type f > Contents/MacOS/git-annex.MANIFEST
 	cd $(OSXAPP_DEST) && find . -type l >> Contents/MacOS/git-annex.MANIFEST
 	rm -f tmp/git-annex.dmg
-	hdiutil create -format UDBZ -size 640m -srcfolder tmp/build-dmg \
-		-volname git-annex -o tmp/git-annex.dmg
+	
+	# hdiutil sometimes fails with "resource busy", so try a few times
+	ok=0; for x in 1 2 3 4 5; do \
+		if [ $$ok = 0 ]; then \
+			if hdiutil create -format UDBZ -size 640m -srcfolder tmp/build-dmg \
+				-volname git-annex -o tmp/git-annex.dmg; \
+			then \
+				ok=1; \
+			else \
+				sleep 60; \
+			fi \
+		fi \
+	done
 
 # Bypass cabal, and only run the main ghc --make command for a
 # faster development build.
