## git-annex 7.20191024

=== debian/changelog ===
git-annex (7.20191024-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 28 Oct 2019 22:28:45 -0700

git-annex (7.20191017-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 18 Oct 2019 08:50:20 -0700

git-annex (7.20191009-1) unstable; urgency=medium

  * New upstream release.
  * Add libghc-unliftio-core-dev build-dep.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 12 Oct 2019 14:59:58 -0700
