=== debian/control ===
--- 
+++ 
@@ -79,6 +79,7 @@
 	libghc-magic-dev,
 	libghc-socks-dev,
 	libghc-vector-dev,
+        libghc-unliftio-core-dev,
 	lsof [linux-any],
 	ikiwiki,
 	libimage-magick-perl,
