## git-annex 7.20191114

=== debian/changelog ===
git-annex (7.20191114-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 18 Nov 2019 16:04:46 -0700
