=== debian/changelog ===
git-annex (7.20191230-1build4) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2020 20:50:32 +0100

git-annex (7.20191230-1) unstable; urgency=medium

  * New upstream release.
  * Add libghc-filepath-bytestring-dev build-dep.
  * Require git >=1:2.22.
  * d/copyright updates:
    - Add stanza for Utility/Attoparsec.hs
    - Drop stanza for Annex/DirHashes.hs
      The file header was mistakenly updated to say "GPL" in upstream
      commit f845636e30728c5c45c0559e7059aa51c188bfd6.
    - Merge `License: GPL-2` stanza into `License: Expat or GPL-2` stanza.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 02 Jan 2020 20:13:14 +0000
