=== debian/changelog ===
git-annex (7.20200219-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 21 Feb 2020 07:26:47 -0700
