=== debian/changelog ===
git-annex (8.20200226-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 26 Feb 2020 22:03:39 -0700
