=== debian/control ===
--- 
+++ 
@@ -80,10 +80,11 @@
 	libghc-socks-dev,
 	libghc-vector-dev,
         libghc-unliftio-core-dev,
+	libghc-filepath-bytestring-dev,
 	lsof [linux-any],
 	ikiwiki,
 	libimage-magick-perl,
-	git (>= 1:2.1),
+	git (>= 1:2.22),
 	rsync,
 	curl,
 	openssh-client,
@@ -104,7 +105,7 @@
 Architecture: any
 Section: utils
 Depends: ${misc:Depends}, ${shlibs:Depends},
-	git (>= 1:1.8.1),
+	git (>= 1:2.22),
 	netbase,
 	rsync,
 	curl,
