## git-annex 8.20200330

=== debian/changelog ===
git-annex (8.20200330-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 19 Apr 2020 16:54:51 -0700

git-annex (8.20200330-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 30 Mar 2020 20:26:25 -0700

git-annex (8.20200309-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 09 Mar 2020 15:12:22 -0700

git-annex (8.20200226-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 28 Feb 2020 15:10:29 -0700

git-annex (7.20191114-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 29 Nov 2019 10:13:37 -0700

git-annex (7.20191024-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 31 Oct 2019 16:22:18 -0700

git-annex (7.20191017-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 19 Oct 2019 09:55:23 -0700
