=== debian/changelog ===
git-annex (8.20200908-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix debian/copyright to be a copy, not a symlink, as otherwise this is
      an auto-reject.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Oct 2020 14:39:56 -0700

git-annex (8.20200908-1) unstable; urgency=medium

  * New upstream release (Closes: #969908).
  * Add deps on http-client-restricted and git-lfs Haskell libs.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 13 Sep 2020 20:27:50 -0700

git-annex (8.20200330-1ubuntu1) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1.
  * Fix debian/copyright to be a copy, not a symlink, as otherwise this is
    an auto-reject.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 29 Aug 2020 01:56:00 +0000
