=== debian/control ===
--- 
+++ 
@@ -81,6 +81,8 @@
 	libghc-vector-dev,
         libghc-unliftio-core-dev,
 	libghc-filepath-bytestring-dev,
+	libghc-http-client-restricted-dev,
+	libghc-git-lfs-dev,
 	lsof [linux-any],
 	ikiwiki,
 	libimage-magick-perl,
@@ -91,7 +93,8 @@
 	git-remote-gcrypt (>= 0.20130908-6),
 	gnupg,
 	gpg-agent,
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard Hartmann <richih@debian.org>,
  Sean Whitton <spwhitton@spwhitton.name>,
