## git-annex 8.20201103

=== debian/changelog ===
git-annex (8.20201103-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix debian/copyright to be a copy, not a symlink, as otherwise this is
      an auto-reject.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 30 Nov 2020 13:04:48 -0800

git-annex (8.20201103-1) unstable; urgency=medium

  * Drop spurious slash from the end of Vcs-Git.
  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Nov 2020 13:08:22 -0700

git-annex (8.20201007-1) unstable; urgency=medium

  * New upstream release.
  * Add build-dep on libghc-criterion-dev.
  * Raise debhelper compat to 13, and move debian/compat->debian/control.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 26 Oct 2020 15:29:31 -0700
