## git-annex 8.20201127

=== debian/changelog ===
git-annex (8.20201127-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix debian/copyright to be a copy, not a symlink, as otherwise this is
      an auto-reject.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Jan 2021 19:35:43 -0800

git-annex (8.20201127-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 27 Dec 2020 15:09:49 -0700
