=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,8 @@
 # Do use the changelog's version number, rather than making one up.
 export RELEASE_BUILD=1
 
+export ZSH_COMPLETIONS_PATH=/usr/share/zsh/vendor-completions
+
 %:
 	dh $@
 
@@ -36,7 +38,8 @@
 	make linuxstandalone GIT_ANNEX_PACKAGE_INSTALL=1
 
 override_dh_auto_install:
-	make install-misc install-docs DESTDIR=debian/git-annex-standalone
+	make install-desktop install-docs install-completions \
+		DESTDIR=debian/git-annex-standalone
 	# bins are linked into place, as instructed in debian/install and debian/links
 
 override_dh_fixperms:
